<?xml version="1.0" encoding="UTF-8"?>
<!--
 Copyright (c) 2020 SAP SE or an SAP affiliate company. All rights reserved
-->
<widget-definition id="com.hybris.cockpitng.valueChooser"
                   xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
                   xsi:noNamespaceSchemaLocation="http://www.hybris.com/schema/cockpitng/widget-definition.xsd">

    <name>Value Chooser</name>
    <description>Displays a list of possible value with an option to select some of them</description>
    <defaultTitle>Value Chooser</defaultTitle>
    <author>hybris</author>
    <version>0.1</version>

    <controller class="com.hybris.cockpitng.widgets.valuechooser.ValueChooserController"/>

    <sockets>
        <output id="selection" type="[T]" multiplicity="Set"/>
    </sockets>

    <keywords>
        <keyword>Data Manipulation</keyword>
    </keywords>

    <settings>
        <setting key="configCtx" default-value="value-chooser" type="String"/>
        <setting key="renderer" default-value="valueChooserRenderer" type="String" />
        <setting key="forceSelection" default-value="false" type="Boolean" />
        <setting key="multiSelection" default-value="true" type="Boolean" />
    </settings>

</widget-definition>
